--TEST--
Test for mtom upload client
--FILE--
<?php

$reqPayloadString = <<<XML
<ns1:upload xmlns:ns1="http://php.axis2.org/samples/mtom">
               <ns1:fileName>test.jpg</ns1:fileName>
               <ns1:image xmlmime:contentType="image/jpeg" xmlns:xmlmime="http://www.w3.org/2004/06/xmlmime">
                  <xop:Include xmlns:xop="http://www.w3.org/2004/08/xop/include" href="cid:myid1"></xop:Include>
               </ns1:image>
</ns1:upload>
XML;

try {
	$f = file_get_contents("samples/resources/axis2.jpg");
    
	$reqMessage = new WSMessage($reqPayloadString, 
        array("to" => "http://localhost/samples/mtom/mtom_upload_service.php",
		"attachments" => array("myid1" => $f)));
	
	$client = new WSClient(array("useMTOM" => TRUE));

	$resMessage = $client->request($reqMessage);
	
    echo $resMessage->str;

} catch (Exception $e) {
	if ($e instanceof WSFault) {
		printf("Soap Fault: %s\n", $e->code);
	} else {
		printf("Message = %s\n",$e->getMessage());
	}
}
?>
--EXPECT--
PHP Warning:  Module 'wsf' already loaded in Unknown on line 0

Warning: file_get_contents(samples/resources/axis2.jpg): failed to open stream: No such file or directory in /home/dushshantha/php1.0/wso2-wsf-php-1.0.0beta/src/tests/samples/mtom_upload_client.php on line 13
<ns1:response xmlns:ns1="http://php.axis2.org/samples/mtom">Image Saved</ns1:response>
